Bug 384801 (CVE-2006-7230) - CVE-2006-7230 pcre miscalculation of memory requirements if options are changed during pattern compilation
Summary: CVE-2006-7230 pcre miscalculation of memory requirements if options are chang...
Status: CLOSED ERRATA
Alias: CVE-2006-7230
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://www.pcre.org/changelog.txt
Whiteboard: source=cve,reported=20071114,public=2...
Keywords: Security
Depends On: 380511 380521 380531 380541 411731 413871 414271
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-15 15:32 UTC by Tomas Hoger
Modified: 2018-07-30 15:29 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-01-11 17:34:02 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1059 normal SHIPPED_LIVE Important: pcre security update 2007-11-29 14:51:01 UTC
Red Hat Product Errata RHSA-2007:1068 normal SHIPPED_LIVE Important: pcre security update 2007-11-29 15:09:39 UTC

Description Tomas Hoger 2007-11-15 15:32:21 UTC
From pcre changelog, version 7.0:

4. Fixed a major bug that caused incorrect computation of the amount of memory
    required for a compiled pattern when options that changed within the
    pattern affected the logic of the preliminary scan that determines the
    length. The relevant options are -x, and -i in UTF-8 mode. The result was
    that the computed length was too small. The symptoms of this bug were
    either the PCRE error "internal error: code overflow" from pcre_compile(),
    or a glibc crash with a message such as "pcretest: free(): invalid next
    size (fast)". Examples of patterns that provoked this bug (shown in
    pcretest format) are:

      /(?-x: )/x
      /(?x)(?-x: \s*#\s*)/
      /((?i)[\x{c0}])/8
      /(?i:[\x{c0}])/8

    HOWEVER: Change 17 below makes this fix obsolete as the memory computation
    is now done differently.

Acknowledgements:

Red Hat would like to thank Ludwig Nussel for reporting this issue.

Comment 5 Mark J. Cox 2007-11-28 10:08:59 UTC
Now public via SUSE advisory, removing embargo

Comment 10 Red Hat Product Security 2008-01-11 17:34:02 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-1059.html
  http://rhn.redhat.com/errata/RHSA-2007-1068.html


Note You need to log in before you can comment on or make changes to this bug.